stages:
  - test

.test_template: &test_template
  stage: test
  image: pgxn/pgxn-tools

pg12:
  <<: *test_template
  script:
    - export PGUSER=postgres 
    - pg-start 12 
    - make
    - make install
    - su postgres -c 'make installcheck' || (cat /tmp/tmp_check/log/*; exit 1)

pg13:
  <<: *test_template
  script:
    - export PGUSER=postgres 
    - pg-start 13 
    - make
    - make install
    - su postgres -c 'make installcheck' || (cat /tmp/tmp_check/log/*; exit 1)

pg14:
  <<: *test_template
  script:
    - export PGUSER=postgres 
    - pg-start 14 
    - make
    - make install
    - su postgres -c 'make installcheck' || (cat /tmp/tmp_check/log/*; exit 1)